<?php

namespace App\Enums;

enum MissionStates: int
{
    case REQUEST_CREATED= 1;
    case PENDING_CONFIRMATION = 2;
    case START_MISSION = 3;
    case END_MISSION = 4;
    case REJECT_BY_TRANSPORTATION = 5;
    case CANCELLED = 6;

    public static function name(int $state): string
    {
        $mapArray = [
            1 => 'درخواست ایجاد شد و در حال بررسی توسط واحد نقلیه است',
            2 => 'خودرو اختصاص داده شد و درخواست توسط واحد کنترل در حال بررسی است',
            3 => 'درخواست توسط واحد کنترل تایید شد و ماموریت آغاز می شود',
            4 => 'اتمام ماموریت',
            5 => 'عدم تخصیص خودرو توسط واحد نقلیه و بازگشت درخواست به کارتابل کاربر',
            6 => 'ماموریت لغو شد',
        ];

        return $mapArray[$state];
    }
}